Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface IDecoration

public interface IDecoration

Defines the result of decorating an element. This interface is not meant to be implemented and will be provided to instances of `ILightweightLabelDecorator`.

Field Summary
`static int` | `BOTTOM_LEFT`
`static int` | `BOTTOM_RIGHT`
`static int` | `TOP_LEFT` Constants for placement of image decorations.
`static int` | `TOP_RIGHT`
`static int` | `UNDERLAY`

Method Summary
`void` | `addOverlay(ImageDescriptor overlay)` Adds an overlay to the element's image.
`void` | `addOverlay(ImageDescriptor overlay, int quadrant)` Adds an overlay to the element's image.
`void` | `addPrefix(String prefix)` Adds a prefix to the element's label.
`void` | `addSuffix(String suffix)` Adds a suffix to the element's label.

Field Detail

### TOP_LEFT

    public static final int TOP_LEFT

  Constants for placement of image decorations.

  See Also:
    Constant Field Values

### TOP_RIGHT

    public static final int TOP_RIGHT

See Also:
  Constant Field Values

### BOTTOM_LEFT

    public static final int BOTTOM_LEFT

See Also:
  Constant Field Values

### BOTTOM_RIGHT

    public static final int BOTTOM_RIGHT

See Also:
  Constant Field Values

### UNDERLAY

    public static final int UNDERLAY

See Also:
  Constant Field Values

Method Detail

### addPrefix

    public void addPrefix(String prefix)

  Adds a prefix to the element's label.

  Parameters:
    `prefix` - the prefix

### addSuffix

    public void addSuffix(String suffix)

  Adds a suffix to the element's label.

  Parameters:
    `suffix` - the suffix

### addOverlay

    public void addOverlay(ImageDescriptor overlay)

  Adds an overlay to the element's image.

  Parameters:
    `overlay` - the overlay image descriptor

### addOverlay

    public void addOverlay(ImageDescriptor overlay,
                           int quadrant)

  Adds an overlay to the element's image.

  Parameters:
    `overlay` - the overlay image descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.